Page MenuHomePhabricator

Implement a caching mechanism for API requests
Closed, ResolvedPublic

Description

We do have a caching mechanims at cxserver. But not really managed as its size or age grows. This ticket is to implement a mechanism to control the cache size by age and size

Details

Related Gerrit Patches:
mediawiki/services/cxserver : masterManage the cache size of API requests

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptSep 10 2018, 10:32 AM
santhosh triaged this task as High priority.Sep 10 2018, 10:32 AM

Change 458352 had a related patch set uploaded (by Santhosh; owner: Santhosh):
[mediawiki/services/cxserver@master] Manage the cache size of API requests

https://gerrit.wikimedia.org/r/458352

Change 458352 merged by jenkins-bot:
[mediawiki/services/cxserver@master] Manage the cache size of API requests

https://gerrit.wikimedia.org/r/458352

Stashbot added a subscriber: Stashbot.

Mentioned in SAL (#wikimedia-operations) [2018-09-24T04:10:54Z] <kartik@deploy1001> Started deploy [cxserver/deploy@3e2d668]: Update cxserver to d913793 (T203551, T203780, T202716, T203947)

Mentioned in SAL (#wikimedia-operations) [2018-09-24T04:15:13Z] <kartik@deploy1001> Finished deploy [cxserver/deploy@3e2d668]: Update cxserver to d913793 (T203551, T203780, T202716, T203947) (duration: 04m 20s)

Petar.petkovic removed a project: Patch-For-Review.
Petar.petkovic moved this task from Backlog to Performance on the CX-cxserver board.
Petar.petkovic removed subscribers: Stashbot, gerritbot.
Arrbee closed this task as Resolved.Oct 1 2018, 2:31 PM